import * as React from 'react';
import { IFormFieldProps as ICoreFormFieldProps, IRenderFormField, IFormFieldValue } from '@reactionable/core';
export declare type IFormFieldProps<Value extends IFormFieldValue> = Omit<ICoreFormFieldProps<Value>, 'render'> & {
    label?: string;
    render?: IRenderFormField<Value>;
};
export declare function FormField<Value extends string>({ label, render, ...props }: React.PropsWithChildren<IFormFieldProps<Value>>): JSX.Element;
